@echo off
rem **********************************************************************
rem This utility captures the Flash file and Data system to file ffds.hex
rem **********************************************************************

cls
echo .
echo Programming, please wait it will take up to 20 seconds ....
echo .

rem For memstart and memlen look at spreadsheet 
rem    -- FlashFileSystemSectorMapWithBootloader.xlsx
rem    memstart is the content of cell : D11
rem    memlen is the content of cell   : C12

set hex2=%mkfn%
if "%mkfn%"=="" set hex2=ffds
set memstart=0x65000
set memlen=90112

rem ------------------------------------------
rem  Read the file and data system
rem ------------------------------------------
echo .. Acquiring info
nrfjprog -f NRF52 %1 %2 %3 %4 %5 %6 %7 %8 %9  --memrd %memstart% --n %memlen% --w 8 >%hex2%.txt
if ERRORLEVEL 1 goto nrfjprog_err

rem ------------------------------------------
rem  Reset the device
rem ------------------------------------------
nrfjprog -f NRF52 %1 %2 %3 %4 %5 %6 %7 %8 %9  --reset --quiet
if ERRORLEVEL 1 goto nrfjprog_err

rem --------------------------------
rem  Convert to hex file
rem --------------------------------
echo ...
Nrf2Hex %hex2%.txt /B %memlen% /I 1 >NUL
if ERRORLEVEL 1 goto nrf2Hex_err

rem **********************************************************************
echo .... The File system captured into %hex2%.hex
echo .....
rem **********************************************************************
del %hex2%.txt >NUL
goto :end1

:nrf2Hex_err
echo ?????????????????????????????????????????????????????????????????????
echo FAIL
echo .
echo The utility Nrf2Hex has failed. Please contact a Laird representative
echo .
echo ?????????????????????????????????????????????????????????????????????
goto :end1

:nrfjprog_err
echo ?????????????????????????????????????????????????????????????????????
echo FAIL
echo .
echo The utility nrfjprog has failed. Please contact a Laird representative
echo .
echo ?????????????????????????????????????????????????????????????????????
goto :end1

:end1
