@echo off
rem ***************************************************************************
rem 
rem Utility to create a uwf file that contains the flash file and data system
rem 
rem ***************************************************************************

REM ******************************************************************
rem Specify file names
rem ******************************************************************
set mkfn=BL652_FFDS

rem ******************************************************************
rem Capture the flash file & Data system
rem ******************************************************************
call CaptureFFDS.bat %2 %3 %4 %5 %6 %7 %8 %9

rem ******************************************************************
rem Check source hex files exist
rem ******************************************************************
if not exist %mkfn%.hex goto :err1
if not exist %mkfn%.ums goto :err2

rem ******************************************************************
rem Delete all temp and output files
rem ******************************************************************
if exist %mkfn%.bin del /F /Q %mkfn%.bin >NUL
if exist %mkfn%.uwf del /F /Q %mkfn%.uwf >NUL

rem ******************************************************************
rem Create the bin file for the File & Data system
rem ******************************************************************
hex2bin %mkfn%.hex >hex2bin.log
if not exist %mkfn%.bin goto :err3

rem ******************************************************************
rem Create .uwf file
rem ******************************************************************
uwfmake %mkfn%.ums >uwfmake.log
if not exist %mkfn%.uwf goto :err4

echo ...... PASS: File %mkfn%.uwf has been created 
if exist %mkfn%.bin  del /F /Q %mkfn%.bin >NUL
if exist hex2bin.log del /Q /F hex2bin.log >NUL
if exist uwfmake.log del /Q /F uwfmake.log >NUL
echo .......
goto :end

:err1
echo FAIL: File %mkfn%.hex is missing, go generate it
goto :pauseend

:err2
echo FAIL: File %mkfn%.ums is missing
goto :pauseend

:err3
echo FAIL: File %mkfn%.bin was not created
goto :pauseend

:err4
echo FAIL: File %mkfn%.uwf was not created
goto :pauseend


:pauseend
if "%1" == "nopause" goto :end
pause
:end
